Update Resident: Yardi
PUT
https://api.propexo.com/v1/residents/yardi/:resident_id| Interface | Method |
|---|---|
| Common Data | UpdateResidentData |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
resident_id stringrequired
The Propexo unique identifier for the resident
Request
This endpoint expects an object.
first_namestring
The first name of the resident.
last_namestring
The last name of the resident.
email_1string<email>
The primary email address for the resident.
phone_1string
The primary phone number for the resident.
phone_1_typestring
The primary phone type for the resident. Required when updating phone number.
Show 4 enum values
HOMEWORKMOBILEFAXResponse
Successful response
meta objectrequired
job_idstringrequired
result objectrequired
resident_idstringrequired
The Propexo unique identifier for the resident
first_namestring
The first name of the resident.
last_namestring
The last name of the resident.
email_1string<email>
The primary email address for the resident.
phone_1string
The primary phone number for the resident.
phone_1_typestring
The primary phone type for the resident. Required when updating phone number.
Show 4 enum values
HOMEWORKMOBILEFAXErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/residents/yardi/:resident_id
- cURL
- Node.js
- Python
curl -X PUT https://api.propexo.com/v1/residents/yardi/:resident_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"first_name": "string",
"last_name": "string",
"email_1": "[email protected]",
"phone_1": "string",
"phone_1_type": "HOME"
}'
const response = await fetch("https://api.propexo.com/v1/residents/yardi/:resident_id", {
method: "PUT",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"first_name": "string",
"last_name": "string",
"phone_1": "string",
"phone_1_type": "HOME"
}),
});
const data = await response.json();
import requests
response = requests.put(
"https://api.propexo.com/v1/residents/yardi/:resident_id",
headers={"Authorization": "Bearer <token>"},
json={
"first_name": "string",
"last_name": "string",
"phone_1": "string",
"phone_1_type": "HOME"
},
)
data = response.json()
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"resident_id": "string",
"first_name": "string",
"last_name": "string",
"phone_1": "string",
"phone_1_type": "HOME"
}
}